import gradio as gr
import tensorflow
from transformers import pipeline

# Load your model here
pipe = pipeline(
    task="image-classification", 
    model="./",
    framework="tf"
)

def predict(image):
    # Place your code here
    results = pipe(image)
    name = results[0]['label']
    score = results[0]['score']
    label = {name:score} 

    return label

inputs = gr.Image(type="pil",shape=(192, 192))
outputs = gr.Label()
examples = []

gr.Interface(fn=predict, inputs=inputs, outputs=outputs, examples=examples).launch(auth=("user", "user"))
