import gradio as gr
import torch
from diffusers import AutoPipelineForImage2Image
import transformers
import accelerate

# Load your model here
pipeline = AutoPipelineForImage2Image.from_pretrained(
    "kandinsky-community/kandinsky-2-2-decoder", 
    torch_dtype=torch.float16, 
    use_safetensors=True
)
pipeline.enable_model_cpu_offload()

def predict(prompt, init_image):
    # Place your code here
    image = pipeline(prompt, image=init_image).images[0]

    return image

inputs = [gr.Textbox(lines=1), gr.Image(type="pil")]
outputs = gr.Image()
examples = []

gr.Interface(fn=predict, inputs=inputs, outputs=outputs, examples=examples).launch(auth=("user", "user"))
