import gradio as gr
import torch
from transformers import pipeline

# Load your model here
pipe = pipeline(
    task="image-to-text", 
    model="Salesforce/blip-image-captioning-large",
    device="cuda:0",
    torch_dtype=torch.float16
)

def predict(image):
    # Place your code here
    results = pipe(image)
    textbox = results[0]['generated_text']

    return textbox

inputs = gr.Image(type="pil",shape=(192, 192))
outputs = gr.Textbox()
examples = []

gr.Interface(fn=predict, inputs=inputs, outputs=outputs, examples=examples).launch(auth=("user", "user"))
