import gradio as gr
import tensorflow as tf
from transformers import pipeline
import emoji

# Load your model here
pipe = pipeline(
    task="text-classification", 
    model="./",
    framework="tf"
)

def predict(textbox):
    # Place your code here
    results = pipe(textbox)
    name = results[0]['label']
    score = results[0]['score']
    label = {name:score}

    return label

inputs = gr.Textbox(lines=1)
outputs = gr.Label()
examples = []

gr.Interface(fn=predict, inputs=inputs, outputs=outputs, examples=examples).launch(auth=("user", "user"))
