import gradio as gr
from gradio.components import *
import torch
from transformers import pipeline

# Load your model here
pipe = pipeline(
    task="text-generation", 
    model="./",
    device="cuda:0",
    torch_dtype=torch.float16
)

def predict(message, history):
    # Place your code here
    results = pipe(message)
    text = results[0]['generated_text']

    return text

examples = ["Hey my name is Thomas! How are you?"]

gr.ChatInterface(fn=predict, examples=examples).launch()
