import gradio as gr
import torch
from diffusers import DiffusionPipeline
import accelerate
import transformers

# Load your model here
pipe = DiffusionPipeline.from_pretrained(
    pretrained_model_name_or_path="./",
    torch_dtype=torch.float16,
    use_safetensors=True,
    variant="fp16"
).to("cuda")

def predict(textbox):
    # Place your code here
    image  = pipe(textbox).images[0]

    return image

inputs = gr.Textbox(lines=1)
outputs = gr.Image()
examples = []

gr.Interface(fn=predict, inputs=inputs, outputs=outputs, examples=examples).launch(auth=("user", "user"))
