import gradio as gr
from gradio.components import *


# Load your model here
import torch

# Use folder model
from transformers import AutoImageProcessor, AutoModelForImageClassification

model_folder = './'
processor = AutoImageProcessor.from_pretrained(model_folder)
model = AutoModelForImageClassification.from_pretrained(model_folder)

def predict(image):
    # Place your code here
    inputs = processor(images=image, return_tensors="pt")

    outputs = model(**inputs)
    logits = outputs.logits

    predicted_class_idx = logits.argmax().item()
    
    name = model.config.id2label[predicted_class_idx]
    score = torch.softmax(logits, dim=1)[0][predicted_class_idx].item()
    label = {name:score}
    
    return label



inputs = Image(type="pil",shape=(192, 192))
outputs = Label()
examples = []

gr.Interface(fn=predict, inputs=inputs, outputs=outputs, examples=examples).launch()
