import gradio as gr

# Load your model here
import tensorflow as tf
from transformers import AutoImageProcessor, TFAutoModelForImageClassification

model_folder = './'
processor = AutoImageProcessor.from_pretrained(model_folder)
model = TFAutoModelForImageClassification.from_pretrained(model_folder)

def predict(image):
    # Place your code here
    encoding = processor(images=image, return_tensors="tf")

    outputs = model(**encoding)
    logits = outputs.logits

    predicted_class_idx = tf.argmax(logits, axis=-1).numpy()[0]
    
    name = model.config.id2label[predicted_class_idx]
    score = float(tf.nn.softmax(logits, axis=-1).numpy()[0, predicted_class_idx])
    label = {name: score}
    
    return label

inputs = gr.Image(type="pil",shape=(192, 192))
outputs = gr.Label()
examples = []

gr.Interface(fn=predict, inputs=inputs, outputs=outputs, examples=examples).launch(auth=("user", "user"))
